package anilist

const (
	subSelectionAiringSchedule = `{
		id
		mediaId
		airingAt
		timeUntilAiring
		episode
		media ` + subSelectionMedia + `
	}`

	subSelectionMediaList = `{
		id
		userId
		mediaId
		status
		score
		progress
		progressVolumes
		repeat
		priority
		private
		notes
		hiddenFromStatusLists
		startedAt ` + subSelectionFuzzyDate + `
		completedAt ` + subSelectionFuzzyDate + `
		updatedAt
		createdAt
		media ` + subSelectionMedia + `
		user ` + subSelectionUser + `
	}`

	subSelectionUser = `{
		id
		name
	}`

	subSelectionMedia = `{
		id
		title {
			romaji
			english
			native
			userPreferred
		}
		type
		format
		status
		description
		startDate ` + subSelectionFuzzyDate + `
		endDate ` + subSelectionFuzzyDate + `
		season
		seasonYear
		seasonInt
		episodes
		duration
		chapters
		volumes
		countryOfOrigin
		isLicensed
		source
		hashtag
		trailer {
			id
			site
			thumbnail
		}
		updatedAt
		coverImage {
			extraLarge
			large
			medium
			color
		}
		bannerImage
		genres
		synonyms
		averageScore
		meanScore
		popularity
		isLocked
		trending
		favourites
		tags {
			id
			name
			description
			category
			rank
			isGeneralSpoiler
			isMediaSpoiler
			isAdult
			userId
		}
	}`

	subSelectionFuzzyDate = `{
		year
		month
		day
	}`

	subSelectionPageInfo = `{
		total
		currentPage
		lastPage
		hasNextPage
		perPage
	}`
)
